Skip to main content
LINE自動応答更新
PATCH

Authorizations

Authorization
string
header
required

APIキーをBearerトークンとして指定

Path Parameters

account_id
string
required

配信アカウントID

autoreply_id
string
required

自動応答ID

Body

application/json

部分更新。含まれた項目のみ変更します。keyword_type / keywords / message / action_id / line_template_id は null を指定しても既存値を維持します。

name
string

管理名称

Maximum string length: 255
autoreply_group_id
string | null

自動応答グループID(null・空文字で未分類に変更)

response_type
enum<string>

応答タイプ。keyword: キーワード応答、all_messages: 一律応答。keyword へ変更するときは keywords の指定が必須

Available options:
keyword,
all_messages
keyword_type
enum<string> | null

一致。part: 部分一致、all: 完全一致(null は既存維持)

Available options:
part,
all
keywords
(string | null)[] | null

キーワードの配列(null は既存維持。キーワード応答のまま更新する場合は空配列も既存維持。変更する場合は1〜100件・各255文字以内・改行不可・合計65,535バイト以内。"0" は指定不可)

Maximum array length: 100
Maximum string length: 255
action_type
enum<string>

動作。message: メッセージを送信、action: アクションを実行、template: テンプレートを送信。変更するときは変更後に使う項目の指定が必須

Available options:
message,
action,
template
message
string | null

送信するメッセージ本文(null は既存維持。配信済みメッセージの置換URL・rid付きURLは不可)

Maximum string length: 5000
action_id
string | null

実行するアクションID(null は既存維持。更新前と同じIDは参照先が管理画面内で作成したアクションでも維持)

line_template_id
string | null

送信するテンプレートID(null は既存維持。更新前と同じIDは削除済みテンプレートでも維持)

Response

更新された自動応答

data
object

LINE自動応答。response_type / action_type に対応する項目のみ値が入り、対応しない項目は null です。